#ifndef PACKET_H
#define PACKET_H

#include "network/ENet.h"
#include "utils/Types.h"

class InPacket {
    ENetPacket* packet;
    unsigned int readIndex;

    friend class Server;

    InPacket(ENetPacket* packet);

    bool read(void* buffer, unsigned int length);

public:
    bool read(uint8& u);
    bool read(uint16& u);
    bool read(uint32& u);
};

#endif